%define subrel 3

Name:           nagstamon
Version:        0.9.9
Release:        %mkrel 1
Summary:        Nagios status monitor for the desktop
License:        GPLv2
Group:          Monitoring
Url:            http://nagstamon.ifw-dresden.de/
Source:         http://sourceforge.net/projects/nagstamon/files/nagstamon/nagstamon%200.9.9/nagstamon_%{version}.tar.gz
Patch0:         a277c63d9bcca7057025320f4af4ae95113b7f01.patch
BuildRequires:  python-devel
Requires:       pygtk2.0
Requires:       python-pkg-resources
BuildArch:      noarch

%description
Nagstamon is a Nagios status monitor which takes place in systray or on desktop
(GNOME, KDE, Windows) as floating statusbar to inform you in realtime about the
status of your Nagios and derivatives monitored network. It allows to connect
to multiple Nagios, Icinga, Opsview, Op5, Check_MK/Multisite and Centreon
servers.

%prep
%setup -q -n Nagstamon
%patch0 -p2

%build
python setup.py build

%install
rm -rf %{buildroot}
python setup.py install \
 				--root=%{buildroot} \
				--install-lib=%{python_sitelib}

chmod +x %{buildroot}/%{python_sitelib}/Nagstamon/Server/Multisite.py
mv %{buildroot}/%{_bindir}/nagstamon.py %{buildroot}/%{_bindir}/nagstamon

# desktop stuff
mkdir -p %{buildroot}%{_datadir}/{applications,pixmaps}
install -m 644 Nagstamon/resources/nagstamon.svg %{buildroot}%{_datadir}/pixmaps/nagstamon.svg
install -m 644 Nagstamon/resources/nagstamon.desktop %{buildroot}/%{_datadir}/applications/nagstamon.desktop

desktop-file-install \
  --dir=%{buildroot}%{_datadir}/applications \
  %{buildroot}/%{_datadir}/applications/nagstamon.desktop

%files
%doc ChangeLog COPYRIGHT LICENSE
%{_datadir}/pixmaps/nagstamon.svg
%{_datadir}/applications/nagstamon.desktop
%{python_sitelib}/Nagstamon
%{_bindir}/nagstamon
%{_mandir}/man1/nagstamon.1*
%{python_sitelib}/%{name}-%{version}-py%{pyver}.egg-info


%changelog
* Sun Sep 01 2013 guillomovitch <guillomovitch> 0.9.9-1.3.mga3
+ Revision: 474106
- add missing python-pkg-resources (#11086)
- add upstream patch fix credentials leak when checking for update

  + luigiwalser <luigiwalser>
    - add pygtk dependency

* Wed Feb 06 2013 guillomovitch <guillomovitch> 0.9.9-1.mga3
+ Revision: 394817
- imported package nagstamon

